[SOLVED] Caffeine nie działa

Jesteś nowy na forum? Przeczytaj ...

Home Fora Forum wsparcia Oprogramowanie [SOLVED] Caffeine nie działa

Ten wątek zawiera 4 odpowiedzi, ma 3 uczestników, ostatnio zmodyfikowany przez  piespawlowa 2 tygodni, 1 dzień temu.

Oglądasz 5 posty - 1 do 5 (z 5 ogółem)
  • Autor
    Posty
  • #8523

    piespawlowa
    Forumowicz

    Caffeine przestało działać. Nawet nie wiem kiedy, nie zwróciłem uwagi, bo nie korzystałem jakiś czas. Mam zaznaczone w autostarcie, czyli w „Sesja i uruchamianie” w „Ustawieniach”.
    W konsoli wyskakuje takie coś:

    [me@me ~]$ caffeine
    Traceback (most recent call last):
      File "/usr/bin/caffeine", line 6, in <module>
        from pkg_resources import load_entry_point
      File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3123, in <module>
        @_call_aside
      File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3107, in _call_aside
        f(*args, **kwargs)
      File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3136, in _initialize_master_working_set
        working_set = WorkingSet._build_master()
      File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 578, in _build_master
        ws.require(__requires__)
      File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 895, in require
        needed = self.resolve(parse_requirements(requirements))
      File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 781, in resolve
        raise DistributionNotFound(req, requirers)
    pkg_resources.DistributionNotFound: The 'ewmh>=0.1.4' distribution was not found and is required by caffeine-ng
    [me@me ~]$

    Dziękuję za pomoc.

    PS
    Pamac pokazuje, że mam zainstalowany pakiet caffeine-ng 3.4.2-2.
    PPS
    Na koncie gościa też nie działa.

    Mabox/XFCE. Lenowo Thinkpad T400. 3GB RAM.

    #8524
    aquila
    aquila
    Moderator

    Z logu wynika, że potrzebna jest wyższa/równa 0.1.4 wersja ewmh wymagana przez coffeine-ng. Sprawdź:
    pacman -Qs ewmh

    #8525

    piespawlowa
    Forumowicz

    Takie coś wyskakuje:

    [me@me ~]$ pacman -Qs ewmh
    local/python-ewmh 0.1.6-1
        A python implementation of EWMH (Extended Window Manager Hints)
    local/wmctrl 1.07-5
        Control your EWMH compliant window manager from command line
    [me@me ~]$ 

    Czyli – o ile dobrze rozumiem – wersja powinna być wystarczająco nowa.

    Mabox/XFCE. Lenowo Thinkpad T400. 3GB RAM.

    #8526
    napcok
    napcok
    Administrator

    Po prostu przebuduj/przeinstaluj paczkę caffeine-ng + ewentualne zależności z AUR, to zupełnie normalna sprawa, że czasem po aktualizacjach jakiś pakiet z AUR wymaga rekompilacji.

    #8527

    piespawlowa
    Forumowicz

    Przeinstalowałem i teraz działa.
    Dziękuję, można zamknąć.

    Mabox/XFCE. Lenowo Thinkpad T400. 3GB RAM.

Oglądasz 5 posty - 1 do 5 (z 5 ogółem)

Musisz być zalogowany aby odpowiedzieć w tym wątku.